Introduction

Navigation: »No topics above this level«

Introduction

 Return to chapter overview

PDF Shaper is a full-featured PDF software, which offers a collection of PDF tools and utilities to modify and optimize your PDF documents and its content. PDF Shaper is an effective and hassle-free way to organize and prepare your PDF documents for printing or sending by email.

Features:

·Convert PDF to text files or images

·Extract text, images and pages

·Set password, decrypt, edit metadata

·Merge or split PDF documents

·Enumerate pages, rotate pages, crop pages

·Convert PDF to PDF, PDF to DOC, DOC to PDF

·Add digital signatures

·Insert or move pages

·Add image watermark or text watermark

·Read, view and print PDF

Benefits:

·Batch processing

·OCR and CSV support

·Command line control

·Supports Unicode text

·Super easy-to-use user interface

·Small installation file size

·Very low CPU resource usage

·Supports Windows XP/Vista/7/8/8.1/10 (32 and 64 bit)


System Requirements

Navigation: »No topics above this level«

System Requirements

 Return to chapter overview

Hardware

·600 MHz Pentium processor or faster

·20 Megabytes of free disk space

·128 Megabytes of RAM

·800x600 video resolution

Operating System

·Windows XP Home/Professional

·Windows Server 2003

·Windows Vista

·Windows 7 (32-bit or 64-bit)

·Windows 2008 R2 (32-bit or 64-bit)

·Windows 8 (32-bit or 64-bit)

·Windows 10 (32-bit or 64-bit)

Virtual Machines

·Wine

·Virtual PC

·VMWare

·Virtual Box

·Citrix


How to Order

Navigation: »No topics above this level«

How to Order

 Return to chapter overview

You can order PDF Shaper Premium or Professional on-line through our secured ecommerce service. It supports a variety of ordering methods (Credit Card, PayPal or Wire Transfer) and accept payments in different currencies (US Dollar, Euro, Pound Sterling, Canadian Dollar, etc).

Once your order is complete, your license key will be immediately sent to your email address.


License Key

Navigation: »No topics above this level«

License Key

 Return to chapter overview

As soon as your order for PDF Shaper is complete, you will receive a license key via e-mail, which should be entered into the program to unlock it for use.

Entering your license key:

1. Select the license key and press Ctrl+Insert to copy it to the Clipboard (or right mouse click and Copy).

2. Run the program and press Shift+Insert to paste your license key (or right mouse click and Paste).

3. Press the Register button and restart the program.


PDF to TXT

Navigation: Convert >

PDF to TXT

 Return to chapter overview

This tool allows you to convert PDF document to TXT file.

A TXT file is a standard text document that contains unformatted text. It is recognized by any text editing or word processing program and can also be processed by most other software programs.

Guide:

1. Click Add, to select and add PDF files, or simply drag files from Windows Explorer.

You can add folder containing PDF files by clicking Add Folder button.

2. Click on PDF to TXT button on toolbar or select menu Action > Convert > PDF to TXT.

3. Select options.

4. Click Proceed and specify destination path, to convert files.

Options:

Preserve text layout. Keeps original text layout where it is possible.

Add page number. Numerates all pages in output document.

Pages:

Process selected pages:

1,2,3 - processes first three pages

2-4 - processes pages 2,3 and 4

1,3-5 - processes pages 1,3,4 and 5.

Command Line:

PDFShaper.exe pdftotxt [source PDF or directory] [destination TXT] [x for exit]

"C:\Program Files\PDF Shaper Professional\PDFShaper.exe" pdftotxt "C:\input.pdf" "C:\output.txt" - converts input.pdf file to output.txt file

PDFShaper.exe pdftotxt [PSL file with paths to PDF files] [destination folder] [x for exit]

"C:\Program Files\PDF Shaper Professional\PDFShaper.exe" pdftotxt "C:\pdflist.psl" "C:\MyTXT" - converts all files from pdflist.psl and saves text files to MyTXT folder

Default or saved options will be used for command-line tasks.

Command line option is available in Premium and Professional edition only.


PDF to Image

Navigation: Convert >

PDF to Image

 Return to chapter overview

This tool allows you to convert pages in a PDF to the specified image type with the specified DPI value.

Guide:

1. Click Add, to select and add PDF files, or simply drag files from Windows Explorer.

You can add folder containing PDF files by clicking Add Folder button.

2. Click on PDF to Image button on toolbar or select menu Action > Convert > PDF to Image.

3. Select options.

4. Click Proceed and specify destination path, to convert files.

Options:

Image format. Supported image types are BMP, JPEG, WMF, EMF, EPS, PNG, GIF, TIFF.

Image resolution. Supported values are 72, 96, 150, 300 dots per inch.

Pages:

Process selected pages:

1,2,3 - processes first three pages

2-4 - processes pages 2,3 and 4

1,3-5 - processes pages 1,3,4 and 5.

Command Line:

PDFShaper.exe pdftoimage [source PDF or PSL file or directory] [destination folder] [x for exit]

"C:\Program Files\PDF Shaper Professional\PDFShaper.exe" pdftoimage "C:\input.pdf" "C:\MyImages" - converts pages from input.pdf file to image files

Default or saved options will be used for command-line tasks.


Image to PDF

Navigation: Convert >

Image to PDF

 Return to chapter overview

This tool allows you to convert regular image file to PDF or combine several images and save them to stand alone PDF document.

Supported formats : BMP, TIFF, JPG, JPEG, PNG, GIF, WMF, EMF.

Guide:

1. Click Add, to select and add image files, or simply drag files from Windows Explorer.

2. Click on Image to PDF button on toolbar or select menu Action > Convert > Image to PDF.

3. Select options.

4. Click Proceed and specify destination path, to convert files.

Options:

Image scaling. Scale or stretch image, center vertically or horizontally.

Page size. Use Custom to specify page width and height in pixels.

Landscape layout. Leave unchecked, to use portrait page layout.

Save each image as separate file. Leave unchecked, to save all images in single PDF document.

Metadata:

Add document information. Adds new metadata to destination document.

Command Line:

PDFShaper.exe imagetopdf [source image or directory] [destination PDF] [x for exit]

"C:\Program Files\PDF Shaper Professional\PDFShaper.exe" imagetopdf "C:\input.jpg" "C:\output.pdf" - converts input.jpg file to output.pdf file

PDFShaper.exe imagetopdf [PSL file with paths to image files] [destination folder] [x for exit]

"C:\Program Files\PDF Shaper Professional\PDFShaper.exe" imagetopdf "C:\pdflist.psl" "C:\MyPDF" - converts all files from pdflist.psl and saves PDF files to MyPDF folder

PDFShaper.exe imagetopdf [PSL file with paths to image files] [destination PDF] [x for exit]

"C:\Program Files\PDF Shaper Professional\PDFShaper.exe" imagetopdf "C:\pdflist.psl" "C:\output.pdf" - combine all files from pdflist.psl and saves to output.pdf file

Default or saved options will be used for command-line tasks.


PDF to PDF

Navigation: Convert >

PDF to PDF

 Return to chapter overview

This tool allows you to convert regular PDF document to image-only PDF.

An image-only PDF documents contain just the images of pages, without an underlying text layer. Consequently, image-only PDF files are not searchable, and their text usually cannot be modified or marked up.

Guide:

1. Click Add, to select and add PDF files, or simply drag files from Windows Explorer.

You can add folder containing PDF files by clicking Add Folder button.

2. Click on PDF to PDF button on toolbar or select menu Action > Convert > PDF to PDF.

3. Select options.

4. Click Proceed and specify destination path, to convert files.

Options:

Image resolution. Supported values are 72, 96, 150, 300 dots per inch.

Pages:

Process selected pages:

1,2,3 - processes first three pages

2-4 - processes pages 2,3 and 4

1,3-5 - processes pages 1,3,4 and 5.

Metadata:

Add document information. Adds new metadata to destination document.

Command Line:

PDFShaper.exe pdftopdf [source PDF or directory] [destination PDF] [x for exit]

"C:\Program Files\PDF Shaper Professional\PDFShaper.exe" pdftopdf "C:\input.pdf" "C:\output.pdf" - converts input.pdf file to output.pdf file

PDFShaper.exe pdftopdf [PSL file with paths to PDF files] [destination folder] [x for exit]

"C:\Program Files\PDF Shaper Professional\PDFShaper.exe" pdftopdf "C:\pdflist.psl" "C:\MyPDF" - converts all files from pdflist.psl and saves PDF files to MyPDF folder

Default or saved options will be used for command-line tasks.


PDF to DOC

Navigation: Convert >

PDF to DOC

 Return to chapter overview

This tool allows you to convert PDF to DOC document.

A DOC file is a word processing document created by Microsoft Word, or another word processing program, such as OpenOffice Writer or Apple Pages. It may contain formatted text, images, tables, graphs, charts, page formatting, and print settings.

Guide:

1. Click Add, to select and add PDF files, or simply drag files from Windows Explorer.

You can add folder containing PDF files by clicking Add Folder button.

2. Click on PDF to DOC button on toolbar or select menu Action > Convert > PDF to DOC.

3. Select options.

4. Click Proceed and specify destination path, to convert files.

Options:

Preserve text layout. Keeps original text layout where it is possible.

Process graphics. Converts pictures and shapes.

Command Line:

PDFShaper.exe pdftodoc [source PDF or directory] [destination DOC] [x for exit]

"C:\Program Files\PDF Shaper Professional\PDFShaper.exe" pdftodoc "C:\input.pdf" "C:\output.doc" - converts input.pdf file to output.doc file

PDFShaper.exe pdftodoc [PSL file with paths to PDF files] [destination folder] [x for exit]

"C:\Program Files\PDF Shaper Professional\PDFShaper.exe" pdftodoc "C:\pdflist.psl" "C:\MyDOC" - converts all files from pdflist.psl and saves DOC files to MyDOC folder

Default or saved options will be used for command-line tasks.


DOC to PDF

Navigation: Convert >

DOC to PDF

 Return to chapter overview

This tool allows you to convert DOC or DOCX document to PDF.

A DOC file is a word processing document created by Microsoft Word, or another word processing program, such as OpenOffice Writer or Apple Pages. It may contain formatted text, images, tables, graphs, charts, page formatting, and print settings.

Guide:

1. Click Add, to select and add DOC files, or simply drag files from Windows Explorer.

2. Click on DOC to PDF button on toolbar or select menu Action > Convert > DOC to PDF.

3. Select options.

4. Click Proceed and specify destination path, to convert files.

Options:

Exact text placement. Places characters at exact positions.

Metadata:

Add document information. Adds new metadata to destination document.

Command Line:

PDFShaper.exe doctopdf [source DOC or DOCX or directory] [destination PDF] [x for exit]

"C:\Program Files\PDF Shaper Professional\PDFShaper.exe" doctopdf "C:\input.docx" "C:\output.pdf" - converts input.docx file to output.pdf file

PDFShaper.exe doctopdf [PSL file with paths to DOC or DOCX files] [destination folder] [x for exit]

"C:\Program Files\PDF Shaper Professional\PDFShaper.exe" doctopdf "C:\doclist.psl" "C:\MyPDF" - converts all files from doclist.psl and saves PDF files to MyPDF folder

Default or saved options will be used for command-line tasks.


Merge

Navigation: Document >

Merge

 Return to chapter overview

This tool allows you to merge two or more PDF documents into one PDF file.

Guide:

1. Click Add, to select and add PDF files, or simply drag files from Windows Explorer.

You can add folder containing PDF files by clicking Add Folder button.

2. Click on Merge button on toolbar or select menu Action > Document > Merge.

3. Select options.

4. Click Proceed and specify destination PDF file, to merge files and save into one file.

Options:

Direct merge. Merges files directly on disk, without loading into the memory. Recommended for files with 100 MB+ in size or 1000+ pages.

Metadata:

Add document information. Adds new metadata to destination document.

Command Line:

PDFShaper.exe merge [PSL file with paths to PDF files or directory] [destination PDF] [x for exit]

"C:\Program Files\PDF Shaper Professional\PDFShaper.exe" merge "C:\pdflist.psl" "C:\merged.pdf" - merges all files from pdflist.psl and saves as merged.pdf

Default or saved options will be used for command-line tasks.


Split

Navigation: Document >

Split

 Return to chapter overview

This tool allows you to split source PDF by number of files or pages.

Guide:

1. Click Add, to select and add PDF files, or simply drag files from Windows Explorer.

You can add folder containing PDF files by clicking Add Folder button.

2. Click on Split button on toolbar or select menu Action > Document > Split.

3. Select options.

4. Click Proceed and specify destination path, to split and save files.

Options:

Split document by files. Splits into number of files. Minimum value is 2.

Split document by pages. Splits into files containing number of pages per file. Minimum value is 1.

Command Line:

PDFShaper.exe split [source PDF or directory] [destination folder] [x for exit]

"C:\Program Files\PDF Shaper Professional\PDFShaper.exe" split "C:\input.pdf" "C:\MyPages" - splits input.pdf file and saves new files to MyPages directory

Default or saved options will be used for command-line tasks.


Rename

Navigation: Document >

Rename

 Return to chapter overview

This tool allows you to rename PDF documents in batch mode.

Guide:

1. Click Add, to select and add PDF files, or simply drag files from Windows Explorer.

You can add folder containing PDF files by clicking Add Folder button.

2. Click on Rename button on toolbar or select menu Action > Document > Rename.

3. Select options.

4. Click Proceed and specify destination path, to rename and save files.


Rotate Pages

Navigation: Pages >

Rotate Pages

 Return to chapter overview

This tool allows you to rotate pages in PDF document.

Guide:

1. Click Add, to select and add PDF files, or simply drag files from Windows Explorer.

You can add folder containing PDF files by clicking Add Folder button.

2. Click on Rotate Pages button on toolbar or select menu Action > Modify > Rotate pages.

3. Select options.

4. Click Proceed and specify destination path, to rotate pages and save files.

Options:

Direction. Rotate page clockwise - 90, 180 and 270 degree.

Pages:

Process selected pages:

1,2,3 - processes first three pages

2-4 - processes pages 2,3 and 4

1,3-5 - processes pages 1,3,4 and 5.

Command Line:

PDFShaper.exe rotate [source PDF or directory] [destination PDF] [x for exit]

"C:\Program Files\PDF Shaper Professional\PDFShaper.exe" rotate "C:\input.pdf" "C:\output.pdf" - rotates pages of input.pdf file and saves as output.pdf

PDFShaper.exe rotate [PSL file with paths to PDF files] [destination folder] [x for exit]

"C:\Program Files\PDF Shaper Professional\PDFShaper.exe" rotate "C:\pdflist.psl" "C:\Rotate" - rotates pages of all files from pdflist.psl and saves PDF files to Rotate folder

Default or saved options will be used for command-line tasks.


Crop Pages

Navigation: Pages >

Crop Pages

 Return to chapter overview

This tool allows you to crop PDF pages, remove a white margin, adjust the visible area in all the pages of a PDF file.

This tool does not "cut" parts of the page, it defines what part you want to be visible when you later display or print it.

Guide:

1. Click Add, to select and add PDF files, or simply drag files from Windows Explorer.

You can add folder containing PDF files by clicking Add Folder button.

2. Click on Crop Pages button on toolbar or select menu Action > Modify > Crop pages.

3. Select options.

4. Click Proceed and specify destination path, to crop pages and save files.

Options:

Measurement units. Points, millimeters, inches.

Margins. Sets margins of crop area in measurement units.

Pages:

Process selected pages:

1,2,3 - processes first three pages

2-4 - processes pages 2,3 and 4

1,3-5 - processes pages 1,3,4 and 5.

Command Line:

PDFShaper.exe crop [source PDF or directory] [destination PDF] [x for exit]

"C:\Program Files\PDF Shaper Professional\PDFShaper.exe" crop "C:\input.pdf" "C:\output.pdf" - crops pages of input.pdf file and saves as output.pdf

PDFShaper.exe crop [PSL file with paths to PDF files] [destination folder] [x for exit]

"C:\Program Files\PDF Shaper Professional\PDFShaper.exe" crop "C:\pdflist.psl" "C:\Crop" - crops pages of all files from pdflist.psl and saves PDF files to Crop folder

Default or saved options will be used for command-line tasks.


Insert Pages

Navigation: Pages >

Insert Pages

 Return to chapter overview

This tool allows you to load pages from an existing PDF document and inserted into current PDF document.

Guide:

1. Click Add, to select and add PDF files, or simply drag files from Windows Explorer.

You can add folder containing PDF files by clicking Add Folder button.

2. Click on Insert Pages button on toolbar or select menu Action > Modify > Insert pages.

3. Select options.

4. Click Proceed and specify destination path, to insert pages and save files.

Options:

Path to source document. Sets path to PDF document with pages to extract.

Command Line:

PDFShaper.exe insert [source PDF or directory] [destination PDF] [PDF with pages to extract] [x for exit]

"C:\Program Files\PDF Shaper Professional\PDFShaper.exe" insert "C:\input.pdf" "C:\output.pdf" "C:\temp.pdf" - inserts pages from temp.pdf file to input.pdf file and saves as output.pdf

PDFShaper.exe insert [PSL file with paths to PDF files] [destination folder] [PDF with pages to extract] [x for exit]

"C:\Program Files\PDF Shaper Professional\PDFShaper.exe" insert "C:\pdflist.psl" "C:\Insert" "C:\temp.pdf" - inserts pages from temp.pdf file to all files from pdflist.psl and saves PDF files to Insert folder

Default or saved options will be used for command-line tasks.


Move Pages

Navigation: Pages >

Move Pages

 Return to chapter overview

This tool allows you to move and reorder pages in PDF document.

Guide:

1. Click Add, to select and add PDF files, or simply drag files from Windows Explorer.

You can add folder containing PDF files by clicking Add Folder button.

2. Click on Move Pages button on toolbar or select menu Action > Modify > Move pages.

3. Select options.

4. Click Proceed and specify destination path, to move pages and save files.

Options:

Specify pages to move:

1,2,3 - processes first three pages

2-4 - processes pages 2,3 and 4

1,3-5 - processes pages 1,3,4 and 5.

Command Line:

PDFShaper.exe move [source PDF or directory] [destination PDF] [Page range] [x for exit]

"C:\Program Files\PDF Shaper Professional\PDFShaper.exe" move "C:\input.pdf" "C:\output.pdf" "3-5" - moves pages in input.pdf file and saves as output.pdf

PDFShaper.exe move [PSL file with paths to PDF files] [destination folder] [Page range] [x for exit]

"C:\Program Files\PDF Shaper Professional\PDFShaper.exe" move "C:\pdflist.psl" "C:\Move" "3-5" - moves pages in all files from pdflist.psl and saves PDF files to Move folder

Default or saved options will be used for command-line tasks.


Extract Text

Navigation: Extract >

Extract Text

 Return to chapter overview

This tool allows you to extract text from PDF file.

After you select PDF file, program extracts text and displays it in new window. PDF document must be digitally created and not "image based".

Guide:

1. Click Add, to select and add PDF files, or simply drag files from Windows Explorer.

You can add folder containing PDF files by clicking Add Folder button.

2. Click on Extract Text button on toolbar or select menu Action > Extract > Extract Text.


Extract Text (OCR)

Navigation: Extract >

Extract Text (OCR)

 Return to chapter overview

This tool allows you to extract text from unsearchable or image-only PDF file.

After you select PDF file, program extracts text and displays it in new window.

Guide:

1. Click Add, to select and add PDF files, or simply drag files from Windows Explorer.

You can add folder containing PDF files by clicking Add Folder button.

2. Click on Extract Text (OCR) button on toolbar or select menu Action > Extract > Extract Text (OCR).


Extract Text (CSV)

Navigation: Extract >

Extract Text (CSV)

 Return to chapter overview

This tool allows you to extract text from PDF file in CSV format.

After you select PDF file, program extracts text and displays it in new window.

Guide:

1. Click Add, to select and add PDF files, or simply drag files from Windows Explorer.

You can add folder containing PDF files by clicking Add Folder button.

2. Click on Extract Text (CSV) button on toolbar or select menu Action > Extract > Extract Text (CSV).


Extract Pages

Navigation: Extract >

Extract Pages

 Return to chapter overview

This tool allows you to extract pages from PDF document.

Guide:

1. Click Add, to select and add PDF files, or simply drag files from Windows Explorer.

You can add folder containing PDF files by clicking Add Folder button.

2. Click on Extract Pages button on toolbar or select menu Action > Extract > Extract Pages.

3. Select options.

4. Click Proceed and specify destination path, to extract and save pages.

Options:

Combine pages into one document. Combines extracted pages and saves as single PDF file.

Save each page as separate file. Saves every extracted page as stand-alone PDF file.

Pages:

Process selected pages:

1,2,3 - processes first three pages

2-4 - processes pages 2,3 and 4

1,3-5 - processes pages 1,3,4 and 5.

Command Line:

PDFShaper.exe extractpages [source PDF] [destination folder] [x for exit]

"C:\Program Files\PDF Shaper Professional\PDFShaper.exe" extractpages "C:\input.pdf" "C:\MyPages" - extracts pages from input.pdf file and saves to MyPages directory

Default or saved options will be used for command-line tasks.


Extract Images

Navigation: Extract >

Extract Images

 Return to chapter overview

This tool allows you to extract all images from PDF document.

If source document is image-only PDF, then whole page will be saved as image file.

Guide:

1. Click Add, to select and add PDF files, or simply drag files from Windows Explorer.

You can add folder containing PDF files by clicking Add Folder button.

2. Click on Extract Images button on toolbar or select menu Action > Extract > Extract Images.

3. Specify destination path, to extract and save images.

Command Line:

PDFShaper.exe extractimages [source PDF or directory] [destination folder] [x for exit]

"C:\Program Files\PDF Shaper Professional\PDFShaper.exe" extractimages "C:\input.pdf" "C:\MyImages" - extracts all images from input.pdf file and saves to MyImages directory

Default or saved options will be used for command-line tasks.


Delete Pages

Navigation: Delete >

Delete Pages

 Return to chapter overview

This tool allows you to delete selected pages from PDF document.

Guide:

1. Click Add, to select and add PDF files, or simply drag files from Windows Explorer.

You can add folder containing PDF files by clicking Add Folder button.

2. Click on Delete Pages button on toolbar or select menu Action > Delete > Delete Pages.

3. Select options.

4. Click Proceed and specify destination path, to save updated files.

Pages:

Delete selected pages:

1,2,3 - processes first three pages

2-4 - processes pages 2,3 and 4

1,3-5 - processes pages 1,3,4 and 5.

Metadata:

Add document information. Adds new metadata to destination document.


Delete Images

Navigation: Delete >

Delete Images

 Return to chapter overview

This tool allows you to delete images from PDF document.

Guide:

1. Click Add, to select and add PDF files, or simply drag files from Windows Explorer.

You can add folder containing PDF files by clicking Add Folder button.

2. Click on Delete Images button on toolbar or select menu Action > Delete > Delete Images.

3. Select options.

4. Click Proceed and specify destination path, to save updated files.

Pages:

Process selected pages:

1,2,3 - processes first three pages

2-4 - processes pages 2,3 and 4

1,3-5 - processes pages 1,3,4 and 5.

Metadata:

Add document information. Adds new metadata to destination document.


Delete Annotations

Navigation: Delete >

Delete Annotations

 Return to chapter overview

This tool allows you to delete annotations from PDF document.

Guide:

1. Click Add, to select and add PDF files, or simply drag files from Windows Explorer.

You can add folder containing PDF files by clicking Add Folder button.

2. Click on Delete Annotations button on toolbar or select menu Action > Delete > Delete Annotations.

3. Select options.

4. Click Proceed and specify destination path, to save updated files.

Pages:

Process selected pages:

1,2,3 - processes first three pages

2-4 - processes pages 2,3 and 4

1,3-5 - processes pages 1,3,4 and 5.

Metadata:

Add document information. Adds new metadata to destination document.


Delete Bookmarks

Navigation: Delete >

Delete Bookmarks

 Return to chapter overview

This tool allows you to delete bookmarks from PDF document.

Guide:

1. Click Add, to select and add PDF files, or simply drag files from Windows Explorer.

You can add folder containing PDF files by clicking Add Folder button.

2. Click on Delete Bookmarks button on toolbar or select menu Action > Delete > Delete Bookmarks.

3. Click Proceed and specify destination path, to save updated files.

Metadata:

Add document information. Adds new metadata to destination document.


Set Password

Navigation: Security >

Set Password

 Return to chapter overview

This tool allows you to limit access to PDF document by setting passwords and by restricting certain features, such as printing and editing.

Guide:

1. Click Add, to select and add PDF files, or simply drag files from Windows Explorer.

You can add folder containing PDF files by clicking Add Folder button.

2. Click on Set Password button on toolbar or select menu Action > Protect > Set Password.

3. Select options.

4. Click Proceed and specify destination path, to encrypt and save files.

Options:

Document password. Sets password to open PDF document.

Permissions password. Sets password to change permission settings. You can restrict printing, editing, and copying content in the PDF. Select features in the list to allow access.

If the PDF is secured with both types of passwords, it can be opened with either password. However, only the permissions password allows the user to change the restricted features. You cannot add passwords to a signed or certified document.

Command Line:

PDFShaper.exe encrypt [source PDF or directory] [destination PDF] [document password] [x for exit]

"C:\Program Files\PDF Shaper Professional\PDFShaper.exe" encrypt "C:\input.pdf" "C:\output.pdf" yourpwd - encrypts input.pdf file to output.pdf file using "yourpwd" as document password

PDFShaper.exe encrypt [PSL file with paths to PDF files] [destination folder] [document password] [x for exit]

"C:\Program Files\PDF Shaper Professional\PDFShaper.exe" encrypt "C:\pdflist.psl" "C:\EncryptedPDF" yourpwd - encrypts all files from pdflist.psl using "yourpwd" as document password and saves PDF files to EncryptedPDF folder

Default or saved options will be used for command-line tasks.


Decrypt

Navigation: Security >

Decrypt

 Return to chapter overview

This tool allows you to decrypt PDF document using open password.

Guide:

1. Click Add, to select and add PDF files, or simply drag files from Windows Explorer.

You can add folder containing PDF files by clicking Add Folder button.

2. Click on Decrypt button on toolbar or select menu Action > Protect > Decrypt.

3. Specify destination path, to decrypt and save files.


Edit Metadata

Navigation: Security >

Edit Metadata

 Return to chapter overview

This tool allows you to add, edit or delete metadata of PDF document.

Metadata contains information about PDF document - author, subject, keywords etc.

Guide:

1. Click Add, to select and add PDF files, or simply drag files from Windows Explorer.

You can add folder containing PDF files by clicking Add Folder button.

2. Click on Edit Metadata button on toolbar or select menu Action > Protect > Edit Metadata.

3. Select options.

4. Click Proceed and specify destination path, to save updated files.

Metadata:

Add document information. Adds new metadata to destination document.

Update document information. Replaces non-empty values in original document's metadata.

Remove document information. Removes metadata from destination document.

Command Line:

PDFShaper.exe metadata [source PDF or directory] [destination PDF] [x for exit]

"C:\Program Files\PDF Shaper Professional\PDFShaper.exe" metadata "C:\input.pdf" "C:\output.pdf" - updates metadata in input.pdf file and saves to output.pdf

PDFShaper.exe metadata [PSL file with paths to PDF files] [destination folder] [x for exit]

"C:\Program Files\PDF Shaper Professional\PDFShaper.exe" metadata "C:\pdflist.psl" "C:\MyPDF" - updates metadata in all files from pdflist.psl and saves PDF files to MyPDF folder

Default or saved options will be used for command-line tasks.


Add Signature

Navigation: Security >

Add Signature

 Return to chapter overview

This tool allows you to apply digital signature to a PDF document.

The signing identity must be in PKCS#12 format containing a certificate and private key.

Guide:

1. Click Add, to select and add PDF files, or simply drag files from Windows Explorer.

You can add folder containing PDF files by clicking Add Folder button.

2. Click on Add Signature button on toolbar or select menu Action > Protect > Add Signature.

3. Select options.

4. Click Proceed and specify destination path, to sign and save files.

Options:

Path to PFX file. Contains path to PFX or P12 file.

Certificate password. Password to open PFX file.

Add additional signature. Select this option to add second signature to PDF document.

Command Line:

PDFShaper.exe sign [source PDF or directory] [destination PDF] [PFX file] [PFX password] [x for exit]

"C:\Program Files\PDF Shaper Professional\PDFShaper.exe" sign "C:\input.pdf" "C:\output.pdf" "c:\mypfx.p12" yourpwd - adds signature to input.pdf file and saves signed file as output.pdf

PDFShaper.exe sign [PSL file with paths to PDF files] [destination folder] [PFX file] [PFX password] [x for exit]

"C:\Program Files\PDF Shaper Professional\PDFShaper.exe" sign "C:\pdflist.psl" "C:\SignedPDF" "c:\mypfx.p12" yourpwd - adds signature to all files from pdflist.psl and saves signed PDF files to SignedPDF folder

Default or saved options will be used for command-line tasks.


Insert Image

Add Image

Navigation: Watermark >

Add Image

 Return to chapter overview

This tool allows you to watermark PDF document with image file.

You can use the following image types: GIF, PNG, JPG, JPEG, BMP.

Guide:

1. Click Add, to select and add PDF files, or simply drag files from Windows Explorer.

You can add folder containing PDF files by clicking Add Folder button.

2. Click on Add Image button on toolbar or select menu Action > Watermark > Add Image.

3. Select options.

4. Click Proceed and specify destination path, to watermark and save files.

Options:

Path to image file. Contains path to image file.

Image position. Sets position of selected image on PDF layout.

Margins. Sets margins of selected image in pixels.

Pages:

Process selected pages:

1,2,3 - processes first three pages

2-4 - processes pages 2,3 and 4

1,3-5 - processes pages 1,3,4 and 5.

Command Line:

PDFShaper.exe watermark [source PDF or directory] [destination PDF] [image file] [x for exit]

"C:\Program Files\PDF Shaper Professional\PDFShaper.exe" watermark "C:\input.pdf" "C:\output.pdf" "c:\logo.png" - adds image from logo.png to input.pdf file and saves file as output.pdf

PDFShaper.exe watermark [PSL file with paths to PDF files] [destination folder] [image file] [x for exit]

"C:\Program Files\PDF Shaper Professional\PDFShaper.exe" watermark "C:\pdflist.psl" "C:\Stamp" "c:\logo.png" - adds image from logo.png to all files from pdflist.psl and saves PDF files to Stamp folder

Default or saved options will be used for command-line tasks.


Insert Text

Add Text

Navigation: Watermark >

Add Text

 Return to chapter overview

This tool allows you to watermark PDF document with text.

Guide:

1. Click Add, to select and add PDF files, or simply drag files from Windows Explorer.

You can add folder containing PDF files by clicking Add Folder button.

2. Click on Add Text button on toolbar or select menu Action > Watermark > Add Text.

3. Select options.

4. Click Proceed and specify destination path, to watermark and save files.

Options:

Font. Sets font size, style and color.

Text position. Sets position of text box on PDF layout.

Margins. Sets margins of text box in pixels.

Pages:

Process selected pages:

1,2,3 - processes first three pages

2-4 - processes pages 2,3 and 4

1,3-5 - processes pages 1,3,4 and 5.

Command Line:

PDFShaper.exe watermarktext [source PDF or directory] [destination PDF] [text] [x for exit]

"C:\Program Files\PDF Shaper Professional\PDFShaper.exe" watermarktext "C:\input.pdf" "C:\output.pdf" "my text" - adds 'my text' to input.pdf file and saves file as output.pdf

PDFShaper.exe watermarktext [PSL file with paths to PDF files] [destination folder] [text] [x for exit]

"C:\Program Files\PDF Shaper Professional\PDFShaper.exe" watermarktext "C:\pdflist.psl" "C:\Stamp" "my text" - adds 'my text' to all files from pdflist.psl and saves PDF files to Stamp folder

Default or saved options will be used for command-line tasks.


Number Pages

Navigation: Watermark >

Number Pages

 Return to chapter overview

This tool allows you to add page numbers to PDF document.

Guide:

1. Click Add, to select and add PDF files, or simply drag files from Windows Explorer.

You can add folder containing PDF files by clicking Add Folder button.

2. Click on Number Pages button on toolbar or select menu Action > Watermark > Number Pages.

3. Select options.

4. Click Proceed and specify destination path, to watermark and save files.

Options:

Font. Sets font size, style and color.

Text position. Sets position of page number on PDF layout.

Margins. Sets margins of page number in pixels.

Pages:

Process selected pages:

1,2,3 - processes first three pages

2-4 - processes pages 2,3 and 4

1,3-5 - processes pages 1,3,4 and 5.

Command Line:

PDFShaper.exe watermarknum [source PDF or directory] [destination PDF] [x for exit]

"C:\Program Files\PDF Shaper Professional\PDFShaper.exe" watermarknum "C:\input.pdf" "C:\output.pdf" - adds page numbers to input.pdf file and saves file as output.pdf

PDFShaper.exe watermarknum [PSL file with paths to PDF files] [destination folder] [x for exit]

"C:\Program Files\PDF Shaper Professional\PDFShaper.exe" watermarknum "C:\pdflist.psl" "C:\Stamp" - adds page numbers to all files from pdflist.psl and saves PDF files to Stamp folder

Default or saved options will be used for command-line tasks.